# HMACSHA1 (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.mac
Class HMACSHA1

    java.lang.Object
      net.schmizz.sshj.transport.mac.BaseMAC
          net.schmizz.sshj.transport.mac.HMACSHA1

All Implemented Interfaces:
  MAC

    public class HMACSHA1

extends BaseMAC

HMAC-SHA1 `MAC`

Nested Class Summary
`static class` `HMACSHA1.Factory` Named factory for the HMAC-SHA1 `MAC`

Constructor Summary
`HMACSHA1()`

Method Summary

Methods inherited from class net.schmizz.sshj.transport.mac.BaseMAC
`doFinal, doFinal, doFinal, getBlockSize, init, update, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMACSHA1

    public HMACSHA1()

Copyright © 2009-2011. All Rights Reserved.